Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003114OCaml~DO NOT USE (was: OCaml general)public2004-08-27 14:152007-12-04 14:39
Reporteradministrator 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.11+dev 
Summary0003114: Suggestion for error messages
DescriptionFull_Name: John Hughes
Version: ocaml 3.08
OS: XP
Submission from: ip68-228-151-51.ri.ri.cox.net (68.228.151.51)


Warning messages in ocaml start with

"Warning: ..."

But error messages have no such thing. It'd be great if they, too, started
with

"Error: ..." (or perhaps, to maintain the French style, "Error : ...")

One reason for this is that sometimes you get two errors, but to the
uninitiated,
it looks like only one error. Having them separated by an obvious signal would
help a lot.

-John


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004384)
doligez (administrator)
2007-12-04 14:39

implemented in 3.11+dev8, although sometimes a single error message
looks like two separate errors...

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2007-12-04 14:39 doligez Note Added: 0004384
2007-12-04 14:39 doligez Status acknowledged => closed
2007-12-04 14:39 doligez Resolution open => fixed
2007-12-04 14:39 doligez Fixed in Version => 3.11+dev
2007-12-04 14:39 doligez Description Updated
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker